Rensei docs

First-run readiness of a project: tracker, mapping, card, model, credentials and workflow.

First-run readiness of a project: tracker, mapping, card, model, credentials and workflow. - Rensei REST API operation reference.

GET
/api/projects/{projectId}/stages/readiness

Authorization

headerAuthorizationBearer <WorkOS user access token>

WorkOS user access token created by the Rensei CLI. The authenticated organization is resolved from membership and may be narrowed with X-Rensei-Org.

Path Parameters

projectId*string

The project id.

Query Parameters

trackerId?integer

Read the mapping of this tracker binding only.

Range0 < value <= 9007199254740991

Response Body

The six readiness steps in first-run order.

application/json
  1. response
steps*array<>
Example Request
curl -X GET 'https://app.rensei.ai/api/projects/string/stages/readiness'
Example Response
{  "steps": [    {      "key": "tracker",      "ok": true,      "detail": "string",      "fixHref": "string"    }  ]}